Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface DeployedItemRefConfigCR

All Known Subinterfaces:
  ClusterConfig, StandaloneServerConfig

public interface DeployedItemRefConfigCR

Manages all instances of <application-ref> element.

Field Summary
`static java.lang.String` | `DISABLE_TIMEOUT_IN_MINUTES_KEY`
`static java.lang.String` | `ENABLED_KEY` Key for use with createDeployedItemRefConfig()
`static java.lang.String` | `LB_ENABLED_KEY`
`static java.lang.String` | `REF_KEY` Key for use with createDeployedItemRefConfig()
`static java.lang.String` | `VIRTUAL_SERVERS_KEY` Key for use with createDeployedItemRefConfig()

Method Summary
`DeployedItemRefConfig` | `createDeployedItemRefConfig(boolean enabled, java.lang.String referencedApplicationName, java.lang.String virtualServers, boolean lbEnabled, int disableTimeoutInMinutes)` Creates a new application-ref element.
`DeployedItemRefConfig` | `createDeployedItemRefConfig(java.lang.String referencedApplicationName)` Creates a new application-ref element.
`DeployedItemRefConfig` | `createDeployedItemRefConfig(java.lang.String referencedApplicationName, java.util.Map optional)` Creates a new application-ref element.
`void` | `removeDeployedItemRefConfig(java.lang.String referencedApplicationName)` Remove an existing <application-ref>

Field Detail

### REF_KEY

    public static final java.lang.String REF_KEY

  Key for use with createDeployedItemRefConfig()

  See Also:
    Constant Field Values

### ENABLED_KEY

    public static final java.lang.String ENABLED_KEY

  Key for use with createDeployedItemRefConfig()

  See Also:
    Constant Field Values

### VIRTUAL_SERVERS_KEY

    public static final java.lang.String VIRTUAL_SERVERS_KEY

  Key for use with createDeployedItemRefConfig()

  See Also:
    Constant Field Values

### LB_ENABLED_KEY

    public static final java.lang.String LB_ENABLED_KEY

See Also:
  Constant Field Values

### DISABLE_TIMEOUT_IN_MINUTES_KEY

    public static final java.lang.String DISABLE_TIMEOUT_IN_MINUTES_KEY

See Also:
  Constant Field Values

Method Detail

### createDeployedItemRefConfig

    public DeployedItemRefConfig createDeployedItemRefConfig(java.lang.String referencedApplicationName,
                                                             java.util.Map optional)

  Creates a new application-ref element.

  Parameters:
    `referencedApplicationName` - Application name.
    `optional` - Map of optional aattributes whose keys are defined here.
  Returns:
    A proxy to the DeployedItemRefConfig MBean that manages the config of newly created application-ref.

### createDeployedItemRefConfig

    public DeployedItemRefConfig createDeployedItemRefConfig(boolean enabled,
                                                             java.lang.String referencedApplicationName,
                                                             java.lang.String virtualServers,
                                                             boolean lbEnabled,
                                                             int disableTimeoutInMinutes)

  Creates a new application-ref element.

  Parameters:
    `enabled` -
    `referencedApplicationName` - Application name.
    `virtualServers` - Comma separated list of virtual servers.
    `lbEnabled` -
  Returns:
    A proxy to the DeployedItemRefConfig MBean that manages the config of newly created application-ref.

### createDeployedItemRefConfig

    public DeployedItemRefConfig createDeployedItemRefConfig(java.lang.String referencedApplicationName)

  Creates a new application-ref element.

  Parameters:
    `referencedApplicationName` - Application name.
  Returns:
    A proxy to the DeployedItemRefConfig MBean that manages the config of newly created application-ref.

### removeDeployedItemRefConfig

    public void removeDeployedItemRefConfig(java.lang.String referencedApplicationName)

  Remove an existing <application-ref>

  Parameters:
    `referencedApplicationName` - the name of the application to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.